// Header File
// Created 3/26/2004; 9:12:36 AM
#define WINDOWPARENT WINDOWPOINT//begining of window definition

#include "./windows/window1/window1protos.h"//forward definitions of objects and windows to be referenced

#include "./windows/window1/window1funcs.h"//functions to be used by objects in this window

#include "./windows/window1/window1subwinds.h"//sub-windows for this window, yes-no and info dialogs

#include "./windows/window1/menus/my_menu.h"//a menu to be used in this window

#include "./windows/window1/menus/dropdownmenu0.h"//a dropdown menu used by this window's toolbar

#include "./windows/window1/menus/dropdownmenu1.h"//a second dropdown menu

#include "./windows/window1/radio/my_radiobuttons.h"//a set of radio buttons for choosing something

#include "./windows/window1/gfx/wmlitepic.h"//a graphic to be used by this window

#include "./windows/window1/gfx/picture.h"//a second graphic

SCROLLBAR(scrollbar,45,35,10,35,25,"This is a scrolling textbox which can handlereallylongwords",&radioset1)//a scrolling text-box
TEXT(texttest,10,23,"hello there",BLANK_ACTION,DEFAULT,DEFAULT,F_4x6,&scrollbardown)//a freestanding text line
GFX(wmlite89,69,7,BLANK_ACTION,&wmlitepic,A_NORMAL,DEFAULT,LAST_OBJECT)//a graphic, which is not connected to the object-set of this window
GFX(pic32x32,69,7,BLANK_ACTION,&picture,A_REVERSE,COLOR_DARKGRAY,&texttest)//another graphic
WIDEBUTTON(options2,59,64,"[un]EstablishWinLong!!!",button_function,NO_DATA,DEFAULT,DEFAULT,DEFAULT,DEFAULT,&pic32x32)//a button with a predefined width of 60 and height of 9
TEXTBOX(textbox2,60,52,9,"2nd wind.",BLANK_ACTION,DEFAULT,DEFAULT,DEFAULT,DEFAULT,F_6x8,NO_DATA,&options2)//a box for editing text
WIDEBUTTON(options,60,40,"BLANK ACTION BUTTON!",BLANK_ACTION,NO_DATA,DEFAULT,DEFAULT,DEFAULT,DEFAULT,&textbox2)//another button with predefined width and height
BUTTON(button_object,0,8,58,23,"DROP",DispMenu,&my_menu,COLOR_LIGHTGRAY,COLOR_WHITE,COLOR_DARKGRAY,DEFAULT,F_8x10,&options)//a button, which uses ability to have custom font-size and color

#include "./windows/window1/window1toolbar.h"//this window's toolbar

WHOLEWINDOW//macro for defining a window in one line
(window1,//internal name for window
&toolbar0,//first object in object-set
window_icon1,//name of window's icon
WINDOWOBJ,//name of window
0,0,127,84,//x,y,x1,y1
"title",//title of window
BLANK_ACTION,//initialization function
close_window__,//closing function
ROUNDED_CORNERS,//style, STRAIGHT_CORNERS or ROUNDED_CORNERS
0x81,0x81,0x81,0xC3,0xDB,0xDB,0xDB,0xC3,0xC3,0xE7,0xE7,0x66,0x7E,0x7E)//the window's icon data
#undef WINDOWPARENT//END OF WINDOW DEFINITION
